%global _empty_manifest_terminate_build 0
Name:		python-concurrent-log-handler
Version:	0.9.16
Release:	1
Summary:	RotatingFileHandler replacement with concurrency, gzip and Windows support
License:	http://www.apache.org/licenses/LICENSE-2.0
URL:		https://github.com/Preston-Landers/concurrent-log-handler
Source0:	https://files.pythonhosted.org/packages/0b/ad/b793abfa02315fdb70cc1fcfd0fde2eccdf991580be53c9aeabf8c12af25/concurrent-log-handler-0.9.16.tar.gz
BuildArch:	noarch


%description
This package provides an additional log handler for Python's standard logging
%package -n python3-concurrent-log-handler
Summary:	RotatingFileHandler replacement with concurrency, gzip and Windows support
Provides:	python-concurrent-log-handler
BuildRequires:	python3-devel 
BuildRequires:	python3-setuptools
%description -n python3-concurrent-log-handler
This package provides an additional log handler for Python's standard logging

%package help
Summary:	Development documents and examples for concurrent-log-handler
Provides:	python3-concurrent-log-handler-doc
%description help
This package provides an additional log handler for Python's standard logging

%prep
%autosetup -n concurrent-log-handler-0.9.16

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-concurrent-log-handler -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Sep 4 2020 Python_Bot <Python_Bot@openeuler.org>
- Simplify desc content

* Fri Aug 28 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
